import request from "@/utils/request";


// 推送店铺消息开关
export function shopState(data) {
    return request({
      url: "/api/msg/shopState",
      method: "put",
      data
    });
  }

export function msgall(params) {
  return request({
    url: "/api/msg/all",
    method: "get",
    params
  });
}

export function msginfo(data) {
  return request({
    url: '/api/msg/info',
    method: 'put',
    data
  })
}
export function state(params) {
  return request({
    url: "/api/msg/state",
    method: "get",
    params
  });
}

export function delmsg(ids) {
  return request({
    url: '/api/msg',
    method: 'delete',
    data: ids
  })
}

//获取订阅二维码
export function subQrCode(params) {
  return request({
    url: '/api/msg/subQrCode',
    method: 'get',
    params
  })
}